> ## Documentation Index
> Fetch the complete documentation index at: https://developers.zerion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get wallet transactions

> This endpoint returns a list of transactions associated with the wallet.

This endpoint supports testnets. To get data for testnets use `X-Env` header.

**Temporary limitations for Solana addresses:**
- Doesn't support NFT transactions

> NOTE: This endpoint supports a lot of filters, sorting, and pagination parameters. Make sure that your request URL length is safe for your platform. Usually, 2000 characters are the safe limit in virtually any combination of client and server software.

> NOTE: Consider all IDs as abstract strings, without making any assumptions about their format or relying on such assumptions. There is a non-zero probability that IDs may change in the future, and this should not result in any breaking changes.




## OpenAPI

````yaml /openapi-v1.yaml get /v1/wallets/{address}/transactions/
openapi: 3.0.3
info:
  version: 1.0.0
  title: REST API
  description: REST-like API provides access to rich Zerion ecosystem.
  contact:
    name: Zerion API
    url: https://developers.zerion.io/
    email: api@zerion.io
servers:
  - description: Production API
    url: https://api.zerion.io
security:
  - APIKeyBasicAuth: []
tags:
  - name: wallets
    description: >-
      Operations related to wallets, such as portfolio charts, positions, and
      transactions.
  - name: wallet sets
    description: >-
      Operations on a wallet set — aggregated portfolio data across at most one
      EVM address and one Solana address queried together.
  - name: fungibles
    description: >-
      Operations related to fungible assets, such as list them all, search or
      get by ID.
  - name: chains
    description: Operations related to chains, such as list all chains.
  - name: swap
    description: Operations related to swapping and bridging assets.
  - name: gas
    description: Operations related to gas.
  - name: nfts
    description: >-
      Operations related to non fungible assets, such list them, search or get
      by ID.
  - name: dapps
    description: >-
      Operations related to decentralized applications, such as list them all,
      search or get by ID.
  - name: subscriptions to transactions
    description: Operations related to subscriptions to transactions.
paths:
  /v1/wallets/{address}/transactions/:
    get:
      tags:
        - wallets
      summary: Get wallet transactions
      description: >
        This endpoint returns a list of transactions associated with the wallet.


        This endpoint supports testnets. To get data for testnets use `X-Env`
        header.


        **Temporary limitations for Solana addresses:**

        - Doesn't support NFT transactions


        > NOTE: This endpoint supports a lot of filters, sorting, and pagination
        parameters. Make sure that your request URL length is safe for your
        platform. Usually, 2000 characters are the safe limit in virtually any
        combination of client and server software.


        > NOTE: Consider all IDs as abstract strings, without making any
        assumptions about their format or relying on such assumptions. There is
        a non-zero probability that IDs may change in the future, and this
        should not result in any breaking changes.
      operationId: listWalletTransactions
      parameters:
        - $ref: '#/components/parameters/Currency'
        - $ref: '#/components/parameters/Page'
        - name: address
          in: path
          required: true
          description: >-
            Address of the wallet. Must be a valid EVM or Solana address.
            Returns 400 if the address is not tracked by Zerion.
          schema:
            type: string
        - name: filter[search_query]
          in: query
          required: false
          description: Query for a full-text search.
          schema:
            type: string
            example: Trade
            minLength: 2
            maxLength: 64
        - name: filter[operation_types]
          in: query
          required: false
          description: >-
            Return only transactions with specified types (comma-separated
            list). See the operation type schema for the full list of values.
          style: form
          explode: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/Type'
        - name: filter[asset_types]
          in: query
          required: false
          description: >-
            Return only transactions that contain specified asset types
            (comma-separated list).
          style: form
          explode: false
          schema:
            type: array
            items:
              $ref: '#/components/schemas/AssetType'
        - name: filter[chain_ids]
          in: query
          required: false
          description: >-
            Return only transactions from specified chains (comma-separated
            list). You can find available chain ids in chain endpoints.
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
              example: polygon
        - name: filter[fungible_ids]
          in: query
          required: false
          description: >-
            Return only transactions with fungibles with specified ids
            (comma-separated list).
          style: form
          explode: false
          schema:
            type: array
            items:
              type: string
              example: '0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48'
        - name: filter[min_mined_at]
          in: query
          required: false
          description: >-
            Return only transactions since specific date. Timestamp in
            milliseconds.
          schema:
            type: string
            example: '1688842525735'
            minLength: 13
            maxLength: 13
        - name: filter[max_mined_at]
          in: query
          required: false
          description: >-
            Return only transactions until specific date. Timestamp in
            milliseconds.
          schema:
            type: string
            example: '1694192535967'
            minLength: 13
            maxLength: 13
        - name: filter[trash]
          in: query
          required: false
          description: >-
            Filter transactions based on the `is_trash` flag. If no flag is
            specified, then `no_filter` is applied.
          schema:
            type: string
            default: no_filter
            enum:
              - only_trash
              - only_non_trash
              - no_filter
        - name: filter[fungible_implementations]
          in: query
          style: form
          explode: false
          required: false
          description: >
            Specify implementations of fungible tokens as a comma-separated list
            of `chain:address` pairs.


            Example format:
            `ethereum:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48,polygon:0x123456789abcdef123456789abcdef123456789`


            Each item consists of a blockchain `chain_id` and an `address`,
            separated by a colon (`:`). Multiple pairs can be provided using
            commas (`,`).
          schema:
            type: array
            items:
              type: string
              example: ethereum:0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48
        - name: X-Env
          in: header
          description: Custom header that allows you to get data for testnets.
          required: false
          schema:
            type: string
            enum:
              - testnet
      responses:
        '200':
          $ref: '#/components/responses/TransactionsListResponse'
        '400':
          $ref: '#/components/responses/MalformedParameters'
        '401':
          $ref: '#/components/responses/UnauthenticatedError'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  parameters:
    Currency:
      name: currency
      in: query
      required: false
      description: Denominated currency value of returned prices
      schema:
        type: string
        default: usd
        enum:
          - eth
          - btc
          - usd
          - eur
          - krw
          - rub
          - gbp
          - aud
          - cad
          - inr
          - jpy
          - nzd
          - try
          - zar
          - cny
          - chf
    Page:
      name: page
      in: query
      required: false
      description: Pagination parameters
      style: deepObject
      explode: true
      schema:
        type: object
        properties:
          after:
            type: string
            nullable: true
            minLength: 1
            maxLength: 64
            description: >
              This field is used for result pagination. You SHOULD NOT use this
              parameter directly.

              To get the next page of the results you should use `links.next`
              field.

              Omit it to return the first page.
          size:
            type: integer
            format: uint8
            description: Set maximum number of items per a page in the pagination.
            default: 100
            minimum: 1
            maximum: 100
  schemas:
    Type:
      type: string
      description: >
        Type of the transaction operation. This field indicates the primary
        action performed in the transaction.


        Possible values and their meanings:


        - `approve` - Grant permission to a smart contract to access and spend
        tokens on behalf of the wallet

        - `bid` - Place a bid in a prediction market

        - `burn` - Destroy tokens permanently, reducing the total token supply

        - `claim` - Claim earned rewards, airdrops, or vested tokens from a
        protocol

        - `delegate` - Delegate tokens or voting power to another address

        - `deploy` - Deploy a new smart contract to the blockchain

        - `deposit` - Deposit assets into a protocol (e.g., lending pool,
        liquidity pool, vault)

        - `execute` - Execute a smart contract function or complex interaction
        that doesn't fit other specific types

        - `mint` - Create new tokens, increasing the total token supply

        - `receive` - Receive tokens from another wallet address

        - `revoke` - Revoke previously granted token spending permissions from a
        smart contract

        - `revoke_delegation` - Revoke a previously delegated token or voting
        power

        - `send` - Send tokens to another wallet address

        - `trade` - Exchange or swap assets (e.g., on a DEX)

        - `withdraw` - Withdraw assets from a protocol (e.g., from lending
        pools, liquidity pools, or vaults)
      example: trade
      enum:
        - approve
        - bid
        - burn
        - claim
        - delegate
        - deploy
        - deposit
        - execute
        - mint
        - receive
        - revoke
        - revoke_delegation
        - send
        - trade
        - withdraw
    AssetType:
      type: string
      description: Type of concrete asset.
      example: fungible
      enum:
        - fungible
        - nft
    Response-4:
      type: object
      required:
        - links
        - data
      properties:
        links:
          $ref: '#/components/schemas/ResponseLinks-4'
        data:
          type: array
          items:
            $ref: '#/components/schemas/Container-4'
    ResponseLinks-4:
      type: object
      required:
        - self
      properties:
        self:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/wallets/0x42b9df65b219b3dd36ff330a4dd8f327a6ada990/transactions/?currency=usd&page%5Bsize%5D=10
        next:
          type: string
          format: url
          example: >-
            https://api.zerion.io/v1/wallets/0x42b9df65b219b3dd36ff330a4dd8f327a6ada990/transactions/?currency=usd&page%5BlastId%5D=950ac208a5545dd19a1b2eb8edaef36c&page%5BlastTimestamp%5D=2022-12-08T09%3A12%3A35Z&page%5Bsize%5D=10
    Container-4:
      type: object
      required:
        - type
        - id
        - attributes
      properties:
        type:
          type: string
          description: Resource type
          enum:
            - transactions
        id:
          type: string
          description: Unique ID of the transaction.
          example: 52d994a173d755e99845e861d534a419
        attributes:
          $ref: '#/components/schemas/Attributes-5'
        relationships:
          $ref: '#/components/schemas/Relationships-2'
    Attributes-5:
      type: object
      required:
        - operation_type
        - hash
        - mined_at_block
        - mined_at
        - sent_from
        - sent_to
        - status
        - nonce
        - fee
        - transfers
        - approvals
      properties:
        address:
          type: string
          description: Wallet address for which this transaction is being retrieved.
          example: '0x42b9df65b219b3dd36ff330a4dd8f327a6ada990'
        operation_type:
          $ref: '#/components/schemas/Type'
        hash:
          type: string
          description: Hash of the transaction.
          example: '0x109d8622084d562263230ba5de412b5cd7c372019131e2c9d0a8aa4925eb6034'
        mined_at_block:
          type: integer
          format: int32
          description: Number of a block where the transaction was mined.
          example: 15345739
        mined_at:
          type: string
          description: Timestamp string in ISO 8601 format when the transaction was mined.
          example: '2022-08-15T11:26:31+00:00'
        sent_from:
          type: string
          description: >-
            Address of a sender of the transaction. It could be a smart contract
            address too.
          example: '0x42b9df65b219b3dd36ff330a4dd8f327a6ada990'
        sent_to:
          type: string
          description: >-
            Address of a recipient of the transaction. It could a be smart
            contract address too.
          example: '0x794a61358d6845594f94dc1db02a252b5b4814ad'
        status:
          type: string
          description: Status of the transaction.
          example: confirmed
          enum:
            - confirmed
            - failed
            - pending
        nonce:
          type: integer
          format: int32
          description: Nonce of the transaction.
          example: 3757
        fee:
          $ref: '#/components/schemas/Fee'
        refund:
          $ref: '#/components/schemas/Refund'
        transfers:
          type: array
          description: >-
            List of transfers. An empty list is returned if the transaction does
            not have any transfers.
          items:
            $ref: '#/components/schemas/Transfer'
        approvals:
          type: array
          description: >-
            List of approvals. An empty list is returned if the transaction does
            not have any approvals.
          items:
            $ref: '#/components/schemas/Approval'
        collection_approvals:
          type: array
          description: >-
            List of collection approvals. An empty list is returned if the
            transaction does not have any collection approvals.
          items:
            $ref: '#/components/schemas/CollectionApproval'
        delegations:
          type: array
          description: List of delegations.
          items:
            $ref: '#/components/schemas/Delegation'
        application_metadata:
          $ref: '#/components/schemas/DAppInfo-2'
        flags:
          $ref: '#/components/schemas/Flags-4'
        acts:
          type: array
          description: >-
            List of acts happened in the transaction for the wallet. Each
            transfer and approval belongs to one of the acts.
          items:
            $ref: '#/components/schemas/Act'
        paymaster:
          type: string
          description: Address of a transaction fee payer.
          example: '0x794a61358d6845594f94dc1db02a252b5b4814ad'
    Relationships-2:
      type: object
      properties:
        chain:
          $ref: '#/components/schemas/Relationship'
        dapp:
          $ref: '#/components/schemas/Relationship-2'
    Fee:
      type: object
      description: The fee that was paid for the transaction.
      required:
        - fungible_info
        - quantity
        - price
        - value
      properties:
        fungible_info:
          type: object
          allOf:
            - $ref: '#/components/schemas/Info'
          nullable: true
        quantity:
          $ref: '#/components/schemas/Quantity'
        price:
          type: number
          nullable: true
          format: float
          description: >-
            Price of the asset when the transaction was mined. Can be null if
            price information is unavailable.
          example: 2542.23
        value:
          type: number
          nullable: true
          format: float
          description: >-
            The fee value in requested currency. Can be null if value cannot be
            calculated.
          example: 39.965672931101786
    Refund:
      type: object
      description: The refund that was received for the transaction.
      required:
        - fungible_info
        - quantity
        - value
        - price
      properties:
        fungible_info:
          type: object
          allOf:
            - $ref: '#/components/schemas/Info'
          nullable: true
        quantity:
          $ref: '#/components/schemas/Quantity'
        price:
          type: number
          nullable: true
          format: float
          description: Price of the asset when the transaction was mined.
          example: 2542.23
        value:
          type: number
          nullable: true
          format: float
          description: The refund value in requested currency.
          example: 5.123456789
    Transfer:
      type: object
      required:
        - direction
        - quantity
        - value
        - price
        - sender
        - recipient
        - act_id
      properties:
        fungible_info:
          $ref: '#/components/schemas/Info'
        nft_info:
          $ref: '#/components/schemas/Info-2'
        direction:
          type: string
          description: Direction of the transfer.
          example: in
          enum:
            - in
            - out
            - self
        quantity:
          $ref: '#/components/schemas/Quantity'
        value:
          type: number
          nullable: true
          format: float
          description: >-
            Value of the transfer in requested currency. Can be null if value
            cannot be calculated.
          example: 0
        price:
          type: number
          nullable: true
          format: float
          description: >-
            Historical price of the asset. Can be null if price information is
            unavailable.
          example: 0
        sender:
          type: string
          description: Address of the sender of the transfer.
          example: '0x60a26d69263ef43e9a68964ba141263f19d71d51'
        recipient:
          type: string
          description: Address of the recipient of the transfer.
          example: '0x60a26d69263ef43e9a68964ba141263f19d71d51'
        act_id:
          type: string
          description: Identifier of the act to which the transfer belongs
          example: '2'
    Approval:
      type: object
      required:
        - quantity
        - sender
        - act_id
      properties:
        fungible_info:
          $ref: '#/components/schemas/Info'
        nft_info:
          $ref: '#/components/schemas/Info-2'
        quantity:
          $ref: '#/components/schemas/Quantity'
        sender:
          type: string
          description: Address of the sender of the approval.
          example: '0x60a26d69263ef43e9a68964ba141263f19d71d51'
        act_id:
          type: string
          description: Identifier of the act to which the transfer belongs
          example: '1'
    CollectionApproval:
      type: object
      required:
        - cancelled
        - spender
        - act_id
      properties:
        collection_info:
          $ref: '#/components/schemas/CollectionInfo'
        cancelled:
          type: boolean
          description: Indicates if the approval has been cancelled or granted.
        spender:
          type: string
          description: Address of the spender of the approval.
          example: '0x60a26d69263ef43e9a68964ba141263f19d71d51'
        act_id:
          type: string
          description: Identifier of the act to which the transfer belongs.
          example: '1'
    Delegation:
      type: object
      description: Delegation created on an EVM chain.
      required:
        - address
        - act_id
      properties:
        chain_id:
          type: string
          example: ethereum
        address:
          type: string
          example: '0x42b9df65b219b3dd36ff330a4dd8f327a6ada990'
        act_id:
          type: string
          example: '1'
    DAppInfo-2:
      type: object
      required:
        - contract_address
      properties:
        name:
          type: string
          example: AAVE
          description: >
            Human readable representation of DApp, that wallet interacted to.
            That offers more intuitive understanding for users.
        icon:
          $ref: '#/components/schemas/Icon'
        contract_address:
          type: string
          description: The address of the executed contract.
          example: '0x794a61358d6845594f94dc1db02a252b5b4814ad'
        method:
          $ref: '#/components/schemas/ExecutionMethod'
    Flags-4:
      type: object
      properties:
        is_trash:
          type: boolean
          description: Is the transaction classified by Zerion as trash.
    Act:
      type: object
      required:
        - id
        - type
      properties:
        id:
          type: string
          description: Unique identifier of the act within the transaction.
          example: '1'
        type:
          $ref: '#/components/schemas/ActType'
        fee_kind:
          type: string
          description: >
            Classification of the fee for acts of type `fee`. Omitted for
            non-fee acts.


            Possible values:
              - ui — Fee charged by the UI / client application (e.g., a wallet or dApp frontend)
              - jito — Jito tip paid on Solana for priority inclusion
          enum:
            - ui
            - jito
          example: ui
        sent_from:
          type: string
          description: >-
            Address of the actual sender of this act. Only set when it differs
            from the transaction-level `sent_from`, e.g. in ERC-4337 bundler
            transactions.
          example: '0x42b9df65b219b3dd36ff330a4dd8f327a6ada990'
        application_metadata:
          $ref: '#/components/schemas/DAppInfo-2'
    Relationship:
      type: object
      required:
        - links
        - data
      properties:
        links:
          $ref: '#/components/schemas/RelationshipLinks'
        data:
          $ref: '#/components/schemas/ContainerShort'
    Relationship-2:
      type: object
      required:
        - data
      properties:
        data:
          $ref: '#/components/schemas/ContainerShort-2'
    Info:
      type: object
      required:
        - name
        - symbol
        - icon
        - flags
        - implementations
      properties:
        id:
          type: string
          description: Unique identifier of the fungible asset.
          example: 0230395c-2b01-46d8-b2d6-ce8121d51f9e
        name:
          type: string
          description: Displayable name of the fungible fungible.
          example: Bankless BED Index
        symbol:
          type: string
          description: Displayable symbol of the fungible fungible.
          example: BED
        description:
          type: string
          nullable: true
          description: >-
            Brief description of the fungible. Currently available at
            transaction callback notifications only.
          example: The BED index is meant to track crypto’s top 3 investab.
        icon:
          type: object
          allOf:
            - $ref: '#/components/schemas/Icon'
          nullable: true
        flags:
          $ref: '#/components/schemas/Flags'
        implementations:
          type: array
          description: Implementation details of the fungible on various chains.
          items:
            $ref: '#/components/schemas/Implementation'
        market_data:
          type: object
          allOf:
            - $ref: '#/components/schemas/MarketData'
          nullable: true
          description: >-
            Market data for the fungible, including price, supply, and market
            cap information. Currently available at transaction callback
            notifications only.
    Quantity:
      type: object
      required:
        - int
        - decimals
        - float
        - numeric
      properties:
        int:
          type: string
          description: >-
            Objective on-chain raw amount in base units. Use this value for
            building on-chain transactions.
          example: '12345678'
        decimals:
          type: integer
          description: >-
            Decimal number precision of the quantity - digits after the floating
            point.
          example: 5
        float:
          type: number
          format: float
          description: >-
            Ready-to-display value = int / 10^decimals. For Token-2022
            ScaledUiAmount assets (a small subset of Solana tokens), the display
            value is int × multiplier / 10^decimals.
          example: 123.45678
        numeric:
          type: string
          description: >-
            Ready-to-display value = int / 10^decimals. For Token-2022
            ScaledUiAmount assets (a small subset of Solana tokens), the display
            value is int × multiplier / 10^decimals.
          example: '123.45678'
    Info-2:
      type: object
      required:
        - contract_address
        - token_id
        - name
        - interface
        - flags
      properties:
        contract_address:
          type: string
          description: Address of the contract of the NFT.
          example: '0x74ee68a33f6c9f113e22b3b77418b75f85d07d22'
        token_id:
          type: string
          description: Unique identifier of the NFT inside the contract.
          example: '10'
        name:
          type: string
          description: Name of the NFT.
          example: '#10 De·genesis'
        interface:
          $ref: '#/components/schemas/InterfaceEnum'
        content:
          $ref: '#/components/schemas/Content'
        flags:
          $ref: '#/components/schemas/Flags-3'
    CollectionInfo:
      type: object
      required:
        - id
        - name
        - icon_url
      properties:
        id:
          type: string
          description: Collection id.
        name:
          type: string
          description: Collection name.
          example: '0x60a26d69263ef43e9a68964ba141263f19d71d51'
        icon_url:
          type: string
          description: Identifier of the act to which the transfer belongs.
          example: '1'
    Icon:
      type: object
      description: Icon related to object.
      properties:
        url:
          type: string
          nullable: true
          format: url
          description: URL of the icon.
          example: >-
            https://token-icons.s3.amazonaws.com/0x0391d2021f89dc339f60fff84546ea23e337750f.png
    ExecutionMethod:
      type: object
      properties:
        id:
          type: string
          description: >-
            Execution method id. First 4 bytes of keccak256 of method signature
            in hex format.
          example: '0x095ea7b3'
        name:
          type: string
          description: Human readable name of the method.
          example: Approve
    ActType:
      type: string
      description: Type of act in the transaction.
      example: trade
      enum:
        - send
        - receive
        - trade
        - deposit
        - withdraw
        - approve
        - execute
        - deploy
        - fee
        - mint
        - burn
        - claim
        - delegate
        - revoke_delegation
        - bid
    RelationshipLinks:
      type: object
      required:
        - related
      properties:
        related:
          type: string
          format: url
          description: URL to the current chain.
          example: https://api.zerion.io/v1/chains/polygon
    ContainerShort:
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
          description: Chain resource type.
          example: chains
        id:
          type: string
          description: Chain unique identifier.
          example: polygon
    ContainerShort-2:
      type: object
      required:
        - type
        - id
      properties:
        type:
          type: string
          description: Decentralized application resource type.
          example: dapps
        id:
          type: string
          description: Decentralized application ID
          example: aave-v3
    Flags:
      type: object
      required:
        - verified
      properties:
        verified:
          type: boolean
          description: Whether this fungible verified or not
          example: true
    Implementation:
      type: object
      required:
        - chain_id
        - decimals
      properties:
        chain_id:
          type: string
          description: Unique id of the chain.
          example: ethereum
        address:
          type: string
          description: Implementation address on the chain.
          example: '0x2af1df3ab0ab157e1e2ad8f88a7d04fbea0c7dc6'
        decimals:
          type: integer
          description: Number of decimals points of the implementation.
          example: 18
    MarketData:
      type: object
      required:
        - price
      properties:
        total_supply:
          type: number
          format: double
          description: Total market supply of fungible
          example: 29905.762448515918
        circulating_supply:
          type: number
          format: double
          description: Circulating value of fungible
          example: 29905.762448515918
        fully_diluted_valuation:
          type: number
          format: double
          description: Total market capitalization of fungible in selected currency
          example: 3196313.736038149
        market_cap:
          type: number
          format: double
          description: Circulating market capitalization of fungible in selected currency
          example: 3196313.736038149
        price:
          type: number
          nullable: true
          format: double
          description: Latest fungible price
          example: 106.87952669793131
        changes:
          $ref: '#/components/schemas/MarketDataChanges'
        trading_volumes:
          $ref: '#/components/schemas/TradingVolumes'
    InterfaceEnum:
      type: string
      description: The standard that the NFT contract follows, e.g. ERC-721.
      example: erc1155
      enum:
        - erc721
        - erc1155
    Content:
      type: object
      properties:
        preview:
          allOf:
            - description: The URL of the preview image
            - $ref: '#/components/schemas/ContentLink'
        detail:
          allOf:
            - description: The URL of the full-size image
            - $ref: '#/components/schemas/ContentLink'
        audio:
          allOf:
            - description: The URL of the audio file
            - $ref: '#/components/schemas/ContentLink'
        video:
          allOf:
            - description: The URL of the video file
            - $ref: '#/components/schemas/ContentLink'
    Flags-3:
      type: object
      properties:
        is_spam:
          type: boolean
          description: Indicates whether the NFT spam or not.
    MarketDataChanges:
      type: object
      properties:
        percent_1d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 1 day
          example: -0.7379066649086338
        percent_30d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 30 days
          example: -2.499465618806962
        percent_90d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 90 days
          example: 11.316340269371775
        percent_365d:
          type: number
          nullable: true
          format: double
          description: Price relative change in percent for 1 year
          example: null
    TradingVolumes:
      type: object
      properties:
        volume_1d:
          type: number
          format: double
          description: Trading volume over the last 24 hours in the selected currency.
          example: 40096375.69294812
    ContentLink:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          format: url
          description: URL to the content
          example: >-
            https://token-icons.s3.amazonaws.com/0x1494ca1f11d487c2bbe4543e90080aeba4ba3c2b.png
        content_type:
          type: string
          description: MIME content type
          example: image/png
  responses:
    TransactionsListResponse:
      description: Response for requested list of transactions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Response-4'
    MalformedParameters:
      description: Parameters are malformed
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Parameter is malformed
                    detail:
                      type: string
                      description: Long description of the error
                      example: Some validation errors will be described here
    UnauthenticatedError:
      description: Unathenticated request
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Unauthorized Error
                    detail:
                      type: string
                      description: Long description of the error
                      example: >-
                        The API key is invalid, please, make sure that you are
                        using a valid key
    TooManyRequests:
      description: Too many requests error
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    title:
                      type: string
                      description: Error short title
                      example: Too many requests
                    detail:
                      type: string
                      description: Long description of the error
                      example: Your request had been throttled
  securitySchemes:
    APIKeyBasicAuth:
      type: http
      scheme: basic
      description: >-
        To test endpoints here, paste your API key from the
        [dashboard](https://dashboard.zerion.io/) into the username field and
        leave the password empty.

````